[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#611794: live-build: Doesn't upgrade properly from 2.0.11-1

On Wed, February 2, 2011 10:19, Didier Raboud wrote:
> while trying to upgrade live-build from 2.0.11-1 to 2.0.12-1, I
> encountered
> the following error:
> Unpacking replacement live-build ...
> dpkg: error processing /var/cache/apt/archives/live-build_2.0.12-1_all.deb
> (--unpack):
>  unable to open
> '/usr/share/live/build/includes/squeeze/common/doc/bug-maint-mailcontrol.txt.dpkg-new':
> No such file or directory

This is due to the fact that live-build 2.0.11-1 shipped
/usr/share/live/build/includes/squeeze as a symlink to the lenny folder.
2.0.12-1 ships them as separate directories, so the preinst needs to take
care of removing the old symlink.



Reply to: